## zig0.15 0.15.2~us1

=== debian/changelog ===
zig0.15 (0.15.2~us1-0ubuntu1) resolute; urgency=medium

  * Upload a NEW package for zig0.15 (LP: #2132991)
  * New upstream release 0.15.2.
  * d/control: add riscv64 as a supported arch
  * d/control: drop hard-coded llvm-20 dependencies.
  * d/s/lintian-overrides: add license-problem-non-free-RFC
    override for multi-licensed source file.

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Mon, 24 Nov 2025 18:02:34 +0530

zig0.14 (0.14.1~us1-0ubuntu2) questing; urgency=medium

  * d/control: update runtime-dep libxml2 to libxml2-16
    (LP: #2122327)

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Mon, 08 Sep 2025 12:07:47 +0530

zig0.14 (0.14.1~us1-0ubuntu1) questing; urgency=medium

  * Upload as a NEW package to Ubuntu 25.10 (LP: #2115473)
  * New upstream release 0.14.1
  * Rename package zig0.14-data to zig0.14-dev
  * d/patches: add patches to compile zig with llvm-20
  * d/rules: configure ZIG_GLOBAL_CACHE_DIR, use baseline for MCPU
  * d/copyright: refresh for latest upstream source
  * d/zig0.14-dev.links: rectify target of the 'include'
    symbolic link, point to llvm-20/clang20 headers.
  * d/README.source: add info about upstream vendoring
  * d/zig0.14.install: add symlink compiler from /usr/bin/zig0.14
  * d/t/control: run upstream tests as dep8 tests
  * d/watch: remove debian uupdate, use ~us1 suffix
  * d/*.overrides: add lintian overrides
  * d/rules: document need for chrpath, create symlink
  * d/control: explicitly add llvm-20-dev runtime dependency

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Wed, 13 Aug 2025 01:34:47 +0530

zig0.14 (0.14.0+dfsg-1) experimental; urgency=medium

  * Initial release (Closes: #995670).

 -- nick black <dank@debian.org>  Thu, 06 Mar 2025 10:08:26 -0500
