=== debian/control ===
Source: zig0.15
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: nick black <dank@debian.org>
Build-Depends: chrpath,
               cmake (>= 3.19),
               debhelper-compat (= 13),
               help2man,
               libbsd-dev,
               libclang-20-dev,
               libclang-cpp20-dev,
               libedit-dev,
               libffi-dev,
               liblld-20-dev,
               libmd-dev,
               libncurses-dev,
               libunwind-dev,
               libxml2-dev,
               llvm-20-dev,
               pkgconf,
Standards-Version: 4.7.2
Section: devel
Rules-Requires-Root: no
Homepage: https://ziglang.org/
Vcs-Browser: https://salsa.debian.org/nickblack/zig0.15
Vcs-Git: https://salsa.debian.org/nickblack/zig0.15.git

Package: zig0.15
Architecture: amd64 arm64 riscv64
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         zig0.15-dev (= ${source:Version}),
Suggests: zig-default
Description: General-purpose imperative language
 Zig is a general-purpose programming language and toolchain
 for maintaining robust, optimal and reusable software.
 .
 This package contains the binary for Zig.

Package: zig0.15-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
        libclang-common-20-dev
Description: General-purpose imperative language (stdlib)
 Zig is a general-purpose programming language and toolchain
 for maintaining robust, optimal and reusable software.
 .
 This package contains the Zig standard library.
